package com.myejb;

import java.rmi.RemoteException;
import javax.ejb.*;


/**
 *
 * Simple EJB Bean
 *   @ejb:bean  type="Stateless"
 *              name="SimpleBeanEJB"
 *              jndi-name="ejb/SimpleBeanEJB"
 *              local-jndi-name="ejb/SimpleBeanEJBLocal"
 *              display-name="Simple Bean"
 *		view-type="both"
 */
public class SimpleBean
implements SessionBean
{

    private SessionContext ctx   =  null;

    public void ejbActivate()   throws RemoteException, EJBException{}
    public void ejbPassivate()  throws RemoteException, EJBException{}
    public void ejbCreate()     throws CreateException, EJBException{}
    public void ejbRemove()     throws RemoteException, EJBException{}
    public void setSessionContext(SessionContext context)throws RemoteException, EJBException {ctx = context;}


    /**
     * Get name
     * @ejb:interface-method view-type="both"
     * @param	_strId id
     * @return  string string
     */
   public String getHelloWorld(String _strId)
   {
	    return "hello world";
   }

}